# Uses of Class
com.google.protobuf.FloatValue

Packages that use FloatValue
Package
Description
com.google.protobuf

## Uses of FloatValue in com.google.protobuf

Methods in com.google.protobuf that return FloatValue
Modifier and Type
Method
Description
`FloatValue`
FloatValue.Builder.`build()`
`FloatValue`
FloatValue.Builder.`buildPartial()`
`static FloatValue`
FloatValue.`getDefaultInstance()`
`FloatValue`
FloatValue.Builder.`getDefaultInstanceForType()`
`FloatValue`
FloatValue.`getDefaultInstanceForType()`
`static FloatValue`
FloatValue.`of(float value)`
`static FloatValue`
FloatValue.`parseDelimitedFrom(InputStream input)`
`static FloatValue`
FloatValue.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static FloatValue`
FloatValue.`parseFrom(byte[] data)`
`static FloatValue`
FloatValue.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static FloatValue`
FloatValue.`parseFrom(ByteString data)`
`static FloatValue`
FloatValue.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static FloatValue`
FloatValue.`parseFrom(CodedInputStream input)`
`static FloatValue`
FloatValue.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static FloatValue`
FloatValue.`parseFrom(InputStream input)`
`static FloatValue`
FloatValue.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static FloatValue`
FloatValue.`parseFrom(ByteBuffer data)`
`static FloatValue`
FloatValue.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type FloatValue
Modifier and Type
Method
Description
`Parser<FloatValue>`
FloatValue.`getParserForType()`
`static Parser<FloatValue>`
FloatValue.`parser()`
Methods in com.google.protobuf with parameters of type FloatValue
Modifier and Type
Method
Description
`FloatValue.Builder`
FloatValue.Builder.`mergeFrom(FloatValue other)`
`static FloatValue.Builder`
FloatValue.`newBuilder(FloatValue prototype)`